Subject: Re: [PATCH 1/2] ARM: imx: Fix boot crash if ocotp is not found

From: Shawn Guo <[email-masked]>
Date: Thu, 12 Dec 2019 10:44:05 +0800

On Tue, Dec 10, 2019 at 11:49:28PM +0200, Leonard Crestez wrote:
> The imx_soc_device_init functions tries to fetch the ocotp regmap in
> order to soc serial number. If regmap fetch fails then a message is
> printed but regmap_read is called anyway and the system crashes.
> 
> Failing to lookup ocotp regmap shouldn't be a fatal boot error so check
> that the pointer is valid.
> 
> Only side-effect of ocotp lookup failure now is that serial number will
> be reported as all-zeros which is acceptable.
> 
> Cc: [email-masked]
> Fixes: 8267ff89b713 ("ARM: imx: Add serial number support for i.MX6/7 SoCs")
> Signed-off-by: Leonard Crestez <[email-masked]>

As this is a fix we want it in 5.5-rc, it should be generated against
5.5-rc1 rather than -next.  I rebased it and applied, thanks.

Shawn

_______________________________________________
linux-arm-kernel mailing list
[email-masked]
http://lists.infradead.org/mailman/listinfo/linux-arm-kernel